// drotdll.idl : IDL source for drotdll.dll
//

// This file will be processed by the MIDL tool to
// produce the type library (drotdll.tlb) and marshalling code.

import "oaidl.idl";
import "ocidl.idl";

	[
	
		uuid(23901471-FD2A-11D0-806E-006097418C73),
	
		helpstring("IRemoteROT Interface"),
		pointer_default(unique)
	]
	interface IRemoteROT : IUnknown
	{
		[helpstring("method GetRemoteRunningObjectTable")] HRESULT GetRemoteRunningObjectTable([in, out] IRunningObjectTable  **ppRot);
	};
[
	uuid(23901462-FD2A-11D0-806E-006097418C73),
	version(1.0),
	helpstring("drotdll 1.0 Type Library")
]
library DROTDLLLib
{
	importlib("stdole32.tlb");
	importlib("stdole2.tlb");

	[
		uuid(23901472-FD2A-11D0-806E-006097418C73),
		helpstring("RemoteROT Class")
	]
	coclass RemoteROT
	{
		[default] interface IRemoteROT;
	};
};
